[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.CMMouseLeave

Handles a CM_MOUSELEAVE message for the control.

## Declaration

Source position: controls.pp line 1446

`protected procedure TControl.CMMouseLeave(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Control message handled in the method.

## Description

CMMouseLeave ensures that the MouseInClient property is updated when the mouse pointer has left the client area for the control. No actions are performed in the method if MouseInClient is already set to False on entry.

CMMouseLeave calls Perform to broadcast the CM_MOUSELEAVE message to the Parent and ancestor controls (when assigned). If the Message is not a child message, the MouseLeave method is called to signal the OnMouseLeave event handler (when assigned).

## See also

TControl.MouseInClient |  | True when the mouse is in the client area for the control.
TControl.Parent |  | The control within which the control is shown.
TControl.Perform |  | Calls a message handler directly, bypassing the message queue.
TControl.MouseLeave |  | Signals the OnMouseLeave event handler (when assigned).
TControl.OnMouseLeave |  | Event handler signalled when the mouse pointer has left the control.
TLMessage |  |